#%% IMPORTS
# import matplotlib.pyplot as plt, matplotlib as mpl
import matplotlib.pyplot as plt, matplotlib as mpl
%matplotlib qt
import matplotlib.image as mpimg
import matplotlib.cm as cm
import numpy as np, json
from glob import glob
import pandas as pd
import seaborn as sns
from mpl_toolkits.axes_grid1.inset_locator import inset_axes
from matplotlib.colors import LinearSegmentedColormap
from matplotlib.ticker import FuncFormatter

import figures # set figure defaults

# %% plotting helper functions
def plot_fermisurfaces(ax,colorfrac=0.5, file = '*', filled = False):
    left_file = 'FermiSurfacePlotsData/left_surfaceV'+ file +'.csv'
    right_file = 'FermiSurfacePlotsData/right_surfaceV'+ file+'.csv'
    headers = ('x','y')
    ax.axis('off')
    ax.set_xlim(-1.35,1.35)
    ax.set_ylim(-1.15,1.15)
    df = pd.read_csv(left_file, names=headers)
    y,x = df['x'], df['y']
    ax.plot(x,y, color = plt.cm.Blues_r(colorfrac))

    df = pd.read_csv(right_file, names=headers)
    y,x = df['x'], df['y']
    ax.plot(x,y, color = plt.cm.Blues_r(colorfrac))
    ax.set_aspect('equal')
    ax.set_title('V= ' + file)

# DRAW THE FIGURE
# fig, ax = plt.subplots( 2, 2, figsize=(3.5,3.3) )
fig = plt.figure(constrained_layout=True, figsize=(6,1.25))
widths = [1, 1,1,1,1]
heights = [1]
gs = fig.add_gridspec(ncols =5, nrows =1, width_ratios=widths,
                          height_ratios=heights)

ax1 = fig.add_subplot(gs[0, 0])
ax2 = fig.add_subplot(gs[0, 1])
ax3 = fig.add_subplot(gs[0, 2])
ax4 = fig.add_subplot(gs[0, 3])
ax5 = fig.add_subplot(gs[0, 4])

plot_fermisurfaces(ax1, colorfrac=0.5,file = '0.05' )
plot_fermisurfaces(ax2, colorfrac=0.4,file = '0.06' )
plot_fermisurfaces(ax3, colorfrac=0.3,file = '0.07' )
plot_fermisurfaces(ax4, colorfrac=0.2,file = '0.08' )
plot_fermisurfaces(ax5, colorfrac=0.1,file = '0.09' )



fig.savefig( "Fig2_FermiArcs.pdf" )

# %%

# %%

# %%
