#%% IMPORTS
# import matplotlib.pyplot as plt, matplotlib as mpl
import matplotlib.pyplot as plt
import numpy as np, json
import figures
import seaborn as sns
from scipy.signal import savgol_filter

with open( './error_estimate.json') as json_file :
    bfs, bstd, fstd = json.load( json_file )
for p in bfs :
    bfs[p][1] = np.array( bfs[p][1] )/1e9
fstd = np.array(fstd)/1e6
bstd = np.array(bstd)

cmap = sns.color_palette( "crest", as_cmap=True )
cs = cmap( np.arange(6)/5 )

fig, axs = plt.subplots( 1, 2, figsize=(6,3.0) )
for idx, pid in enumerate( bfs ): 
    axs[0].plot( *bfs[pid], marker='.', markersize=5,
    label=f'Run #{idx+1}', color=cs[idx] )
axs[0].legend()
axs[0].set_xlabel( '$B_x$ (T)' )
axs[0].set_ylabel( '$f_r$ (GHz)' )

axs[1].plot( bstd, fstd, linestyle='', marker='.',
            markersize=5,
            color='black' )
axs[1].hlines( np.mean( fstd ), bstd.min(), bstd.max() )
axs[1].set_xlabel( '$B_x$ (T)' )
axs[1].set_ylabel( 'Standard deviation (MHz)' )
fig.tight_layout()

# subplot labels and legend
coords = { 'a' : ( 0.05, 0.95 ),
            'b' : ( 0.505, 0.95 )
        }
for lbl, xy in coords.items() :
    fig.text( *xy, lbl, 
            fontweight = 'bold',
            fontsize = 10 )
#%%
fig.savefig( "fig_error_estimate.pdf" )
